Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.env
Interface PropertySources

All Superinterfaces:
  Iterable<PropertySource<?>>

All Known Implementing Classes:
  MutablePropertySources

    public interface PropertySources

extends Iterable<PropertySource<?>>

Holder containing one or more `PropertySource` objects.

Since:
  3.1
Author:
  Chris Beams

Method Summary
`boolean` | `contains(String name)` Return whether a property source with the given name is contained.
`PropertySource<?>` | `get(String name)` Return the property source with the given name, `null` if not found.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### contains

    boolean contains(String name)

  Return whether a property source with the given name is contained.

  Parameters:
    `name` - the name of the property source to find

### get

    PropertySource<?> get(String name)

  Return the property source with the given name, `null` if not found.

  Parameters:
    `name` - the name of the property source to find

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD